---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.0.95.76
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: kube-apiserver-master-1.case03116926.lab.upshift.rdu2.redhat.com
      namespace: openshift-kube-apiserver
      resourceVersion: "28360"
      uid: b27bd22c-e55a-4e9f-822b-73c17eabb19a
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.94.219
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: kube-apiserver-master-2.case03116926.lab.upshift.rdu2.redhat.com
      namespace: openshift-kube-apiserver
      resourceVersion: "29409"
      uid: 87362a5e-cac6-4d30-a79c-bf6d64cb7ce5
    topology:
      kubernetes.io/hostname: master-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.94.119
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: kube-apiserver-master-0.case03116926.lab.upshift.rdu2.redhat.com
      namespace: openshift-kube-apiserver
      resourceVersion: "30439"
      uid: b08d1d38-0dc0-4b3b-affa-8d288d884913
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T11:11:36Z"
    creationTimestamp: "2022-03-08T10:39:01Z"
    generateName: apiserver-
    generation: 34
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: apiserver
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"b7970600-0ed2-4f84-8a78-0aba29545552"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T11:11:15Z"
    name: apiserver-7d82w
    namespace: openshift-kube-apiserver
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: apiserver
      uid: b7970600-0ed2-4f84-8a78-0aba29545552
    resourceVersion: "30441"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-kube-apiserver/endpointslices/apiserver-7d82w
    uid: 31f65723-c6d3-428c-a6f6-0071fb51ab44
  ports:
  - name: https
    port: 6443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "82786"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-kube-apiserver/endpointslices
